"""
script for share fetching (by symbols (e.g. AAPL, TSLA etc.))
"""
__author__ = "Florian Kellermann, Linus Eickhoff"
__date__ = "15.03.2022"
__version__ = "0.0.2" 
__license__ = "None"

import yfinance

#  S3W03GQH43I8O6IG

class Share_Handler:
    def __init__(self):
        return
    
    def all_share_prices_for_user(self, int_user_id):
    
        """ Get all share prices for a certain user with his id
        :type int_user_id: integer  
        :param int_user_id: user_id to get all share prices for 
    
        :raises: none
    
        :rtype: ###tbd### (maybe dictonary)
        """    
        return
    
    
    def get_share_price(self, str_symbol):
        
        """ get current share price for a certain symbol
        :type str_symbol: string
        :param str_symbol: share symbol to get price for
    
        :raises:
    
        :rtype:
        """
        
        my_share_info = yfinance.Ticker(str_symbol)
        my_share_data = my_share_info.info
        my_return_string = f'{my_share_data["regularMarketPrice"]} {my_share_data["currency"]}'
        return my_return_string
    

if __name__ == '__main__':
    
    """ test object and get share price
    :raises: none 

    :rtype: none
    """
    
    new_handler = Share_Handler()
    print(new_handler.get_share_price("TL0.DE"))